@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-secondary: #00A5A5;
  --color-secondaryLight: #00A5A5;
  --color-secondaryDark: #00A5A5;
  --color-secondaryHover: #00A5A5;
  --color-secondaryFocus: #00A5A5;

  --color-background: #f0f0f5;
  --color-backgroundOn: #1b1c20;
  --color-surface: #ffffff;

  --logo: url("../img/Logo_big.png");
  --image: url("../img/main_bg.svg");

  --font-family: "Roboto", sans-serif;

  --font-size-display-small: 2.25rem;
  --font-weight-display-small: 400;
}

body {
  min-height: 100vh;
  min-height: 100dvh;
  display: flex;
  color: var(--color-backgroundOn);
  font-family: var(--font-family);
}

a {
  all: unset;
  cursor: pointer;
}

.main {
  grid-area: main;
  display: grid;
  row-gap: 2rem;
  text-align: center;
  margin: 0 auto;
  width: 100%;
  align-self: center;
  padding: 1rem 2rem;
}

.main_logo {
  background: no-repeat center / contain var(--logo);
  width: 100%;
  height: 5.85rem;
  margin-bottom: 2rem;
}

.main_header_title {
  font-size: var(--font-size-display-small);
  font-weight: var(--font-weight-display-small);
}

.main_buttons {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.main_buttons_link {
  background-color: var(--color-secondary);
  padding: 0.625rem 1.65rem;
  line-height: 1.25rem;
  border-radius: 1.25rem;
}

.main_buttons_link:hover {
  background-color: var(--color-secondaryHover);
}

.main_buttons_link:focus {
  background-color: var(--color-secondaryFocus);
}

@media (min-width: 768px) {
  body {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: "main image";
  }

  .image {
    grid-area: image;
    background: center / contain no-repeat var(--image);
    background-size: cover;
  }
}